Bug 1478403 - Perhaps missing information about creating new puppet environment. [NEEDINFO]
Perhaps missing information about creating new puppet environment.
Status: ASSIGNED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Puppet Guide (Show other bugs)
6.2.10
Unspecified Unspecified
low Severity low (vote)
: Beta
: 6.X
Assigned To: Sergei Petrosian
Stephen Wadeley
:
: 1478732 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 09:44 EDT by Alfredo Pizarro
Modified: 2017-10-05 09:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
spetrosi: needinfo? (lpramuk)


Attachments (Terms of Use)

  None (edit)
Description Alfredo Pizarro 2017-08-04 09:44:40 EDT
Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/puppet_guide/#sect-Red_Hat_Satellite-Puppet_Guide-Puppet_Environments

Section Number and Name: 3.7 Puppet Environments

Describe the issue: If the instruction are followed to create a new puppet environment, when registering a new host with a hostgroup linked to this new environment, it fails.

Suggestions for improvement: Adding the missing steps if there is any.

Additional information: If a new puppet environment is created and then associated to a host group, when running a bootstrap.py to register a new vm, the certificate request is never created because puppet fails to retrieve the puppet's ca certificate. When testing with puppet agent -t will fail with Environment XXX not found. When doing puppet -t debug the url puppet is trying to reach is like:

https://satellite.fqdn:8140/puppetenvironment/certificate/ca?fail_on_404=true

So, any new environment created from the portal will fail, except the one that is created out of the box called production. 

So the way we managed to fix this is in Satellite, was creating a new directory manually at /etc/puppet/environments/ and then from the portal:
Configure -> Environments -> and import from satellite, check the new created directory and with this step, the puppet ca is linked correctly so when running bootstrap.py won't fail. 

I'm not sure if this step is the correct, but doing it by the manual, it seems won't work correctly.
Regards,
Alfredo Pizarro
Comment 1 Alfredo Pizarro 2017-08-06 12:47:34 EDT
*** Bug 1478732 has been marked as a duplicate of this bug. ***
Comment 2 Andrew Dahms 2017-09-07 08:35:44 EDT
Assigning to Sergei for review.
Comment 4 Andrew Dahms 2017-09-19 19:16:24 EDT
Hi Sergei,

Thank you for the needinfo request!

I think you could be right - would you be able to write to Marek Hulan and see if he has any advice about whether this is something that can be handled on the engineering side?

Kind regards,

Andrew

Note You need to log in before you can comment on or make changes to this bug.